/*
	XLMOPTI.H
	This header file will include <optimem.h> if OPTIMEM is not defined
	If this switch is defined, a poor substitute for OPTIMEM will be included
*/
#ifndef _INC_XLMOPTI
	
typedef void NEAR *MEM_POOL;

// prototypes
MEM_POOL PASCAL MemPoolInit(BOOL bShared);
BOOL PASCAL MemPoolFree(MEM_POOL);
DWORD PASCAL MemPoolCount(MEM_POOL);
LPVOID PASCAL MemAllocPtr(MEM_POOL pool, WORD wSize,
	BOOL bZeroInit);
LPVOID PASCAL MemReAllocPtr(LPVOID lpMem, WORD wSize,
	BOOL bZeroInit);
BOOL PASCAL MemFreePtr(LPVOID lpPtr);
BOOL PASCAL MemCheckPtr(MEM_POOL pool, LPVOID lpPtr);
BOOL PASCAL MemSetSafetyLevel(int, BOOL);

#define _INC_XLMOPTI
#endif
